psychopy.org | Reference | Downloads | Github

Unhandled internal error at random times

If this template helps then use it. If not then just delete and start from scratch.

OS (e.g. Win10):
PsychoPy version (e.g. v2020.2.9):
**Standard Standalone? (yes)
**What are you trying to achieve?: The following error message pops up multiple times when I’m using builder. It often appears with out me doing anything at all.

**What did you try to make it work?: The error appears at seemingly random times so I’m not sure what to do.

What specifically went wrong when you tried that?:
This is the error message:
wx._core.wxAssertionError: C++ assertion “(argtype & (wxFormatStringSpecifier::value)) == argtype” failed at C:\PROJECTS\bb2\dist-win64-py36\build\ext\wxWidgets\include\wx/strvararg.h(449) in wxArgNormalizer::wxArgNormalizer(): format specifier doesn’t match argument type

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “ctypes/callbacks.c", line 234, in ‘calling callback function’
File "C:\Program Files\PsychoPy3\lib\site-packages\pyglet\window\win32_init
.py”, line 635, in f
event_handler = event_handlers.get(msg, None)
SystemError: <built-in method get of dict object at 0x000002061016D678> returned a result with an error set

1 Like

Hi There,

I notice this is quite an old version of PsychoPy (2020.2.9) - does updating to the latest release help in fixing this issue?

Thanks,
Becca